Question: I couldn't install DEseq2?
2
gravatar for enginbozaba
18 months ago by
enginbozaba20
enginbozaba20 wrote:

I did:

if (!requireNamespace("BiocManager", quietly = TRUE))
    install.packages("BiocManager")
BiocManager::install("DESeq")

I got the output and the installation

BioC_mirror: https://bioconductor.org
Using Bioconductor 3.7 (BiocInstaller 1.30.0), R 3.6.0 (2019-04-26).
Installing package(s) ‘DESeq2’
also installing the dependencies ‘XML’, ‘annotate’, ‘genefilter’, ‘geneplotter’

trying URL 'https://cloud.r-project.org/src/contrib/XML_3.98-1.19.tar.gz'
Content type 'application/x-gzip' length 1600788 bytes (1.5 MB)
==================================================
downloaded 1.5 MB

trying URL 'https://bioconductor.org/packages/3.7/bioc/src/contrib/annotate_1.58.0.tar.gz'
Content type 'application/x-gzip' length 1867576 bytes (1.8 MB)
==================================================
downloaded 1.8 MB

trying URL 'https://bioconductor.org/packages/3.7/bioc/src/contrib/genefilter_1.62.0.tar.gz'
Content type 'application/x-gzip' length 1432307 bytes (1.4 MB)
==================================================
downloaded 1.4 MB

trying URL 'https://bioconductor.org/packages/3.7/bioc/src/contrib/geneplotter_1.58.0.tar.gz'
Content type 'application/x-gzip' length 1428691 bytes (1.4 MB)
==================================================
downloaded 1.4 MB

trying URL 'https://bioconductor.org/packages/3.7/bioc/src/contrib/DESeq2_1.20.0.tar.gz'
Content type 'application/x-gzip' length 2059356 bytes (2.0 MB)
==================================================
downloaded 2.0 MB

* installing *source* package ‘XML’ ...
** package ‘XML’ successfully unpacked and MD5 sums checked
** using staged installation
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking how to run the C preprocessor... gcc -E
checking for sed... /bin/sed
checking for pkg-config... /usr/bin/pkg-config
checking for xml2-config... no
Cannot find xml2-config
ERROR: configuration failed for package ‘XML’
* removing ‘/home/engin/R/x86_64-pc-linux-gnu-library/3.6/XML’
ERROR: dependency ‘XML’ is not available for package ‘annotate’
* removing ‘/home/engin/R/x86_64-pc-linux-gnu-library/3.6/annotate’
ERROR: dependency ‘annotate’ is not available for package ‘genefilter’
* removing ‘/home/engin/R/x86_64-pc-linux-gnu-library/3.6/genefilter’
ERROR: dependency ‘annotate’ is not available for package ‘geneplotter’
* removing ‘/home/engin/R/x86_64-pc-linux-gnu-library/3.6/geneplotter’
ERROR: dependencies ‘genefilter’, ‘geneplotter’ are not available for package ‘DESeq2’
* removing ‘/home/engin/R/x86_64-pc-linux-gnu-library/3.6/DESeq2’

The downloaded source packages are in
    ‘/tmp/RtmpnoZO5Z/downloaded_packages’
installation path not writeable, unable to update packages: boot, class,
  cluster, codetools, foreign, KernSmooth, lattice, MASS, Matrix, mgcv, nlme,
  nnet, spatial, survival
Warning messages:
1: In install.packages(pkgs = doing, lib = lib, ...) :
  installation of package ‘XML’ had non-zero exit status
2: In install.packages(pkgs = doing, lib = lib, ...) :
  installation of package ‘annotate’ had non-zero exit status
3: In install.packages(pkgs = doing, lib = lib, ...) :
  installation of package ‘genefilter’ had non-zero exit status
4: In install.packages(pkgs = doing, lib = lib, ...) :
  installation of package ‘geneplotter’ had non-zero exit status
5: In install.packages(pkgs = doing, lib = lib, ...) :
  installation of package ‘DESeq2’ had non-zero exit status
> if (!requireNamespace("BiocManager", quietly = TRUE))
+   install.packages("BiocManager")
> BiocManager::install("DESeq")
Bioconductor version 3.9 (BiocManager 1.30.4), R 3.6.0 (2019-04-26)
Installing package(s) 'DESeq'
also installing the dependencies ‘XML’, ‘annotate’, ‘genefilter’, ‘geneplotter’

trying URL 'https://cloud.r-project.org/src/contrib/XML_3.98-1.19.tar.gz'
Content type 'application/x-gzip' length 1600788 bytes (1.5 MB)
==================================================
downloaded 1.5 MB

trying URL 'https://bioconductor.org/packages/3.9/bioc/src/contrib/annotate_1.62.0.tar.gz'
Content type 'application/x-gzip' length 1870418 bytes (1.8 MB)
==================================================
downloaded 1.8 MB

trying URL 'https://bioconductor.org/packages/3.9/bioc/src/contrib/genefilter_1.66.0.tar.gz'
Content type 'application/x-gzip' length 1419350 bytes (1.4 MB)
==================================================
downloaded 1.4 MB

trying URL 'https://bioconductor.org/packages/3.9/bioc/src/contrib/geneplotter_1.62.0.tar.gz'
Content type 'application/x-gzip' length 1435430 bytes (1.4 MB)
==================================================
downloaded 1.4 MB

trying URL 'https://bioconductor.org/packages/3.9/bioc/src/contrib/DESeq_1.36.0.tar.gz'
Content type 'application/x-gzip' length 1692053 bytes (1.6 MB)
==================================================
downloaded 1.6 MB

* installing *source* package ‘XML’ ...
** package ‘XML’ successfully unpacked and MD5 sums checked
** using staged installation
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking how to run the C preprocessor... gcc -E
checking for sed... /bin/sed
checking for pkg-config... /usr/bin/pkg-config
checking for xml2-config... no
Cannot find xml2-config
ERROR: configuration failed for package ‘XML’
* removing ‘/home/engin/R/x86_64-pc-linux-gnu-library/3.6/XML’
ERROR: dependency ‘XML’ is not available for package ‘annotate’
* removing ‘/home/engin/R/x86_64-pc-linux-gnu-library/3.6/annotate’
ERROR: dependency ‘annotate’ is not available for package ‘genefilter’
* removing ‘/home/engin/R/x86_64-pc-linux-gnu-library/3.6/genefilter’
ERROR: dependency ‘annotate’ is not available for package ‘geneplotter’
* removing ‘/home/engin/R/x86_64-pc-linux-gnu-library/3.6/geneplotter’
ERROR: dependencies ‘genefilter’, ‘geneplotter’ are not available for package ‘DESeq’
* removing ‘/home/engin/R/x86_64-pc-linux-gnu-library/3.6/DESeq’

The downloaded source packages are in
    ‘/tmp/RtmpnoZO5Z/downloaded_packages’
installation path not writeable, unable to update packages: boot, class,
  cluster, codetools, foreign, KernSmooth, lattice, MASS, Matrix, mgcv, nlme,
  nnet, spatial, survival
Warning messages:
1: In install.packages(pkgs = doing, lib = lib, repos = repos, ...) :
  installation of package ‘XML’ had non-zero exit status
2: In install.packages(pkgs = doing, lib = lib, repos = repos, ...) :
  installation of package ‘annotate’ had non-zero exit status
3: In install.packages(pkgs = doing, lib = lib, repos = repos, ...) :
  installation of package ‘genefilter’ had non-zero exit status
4: In install.packages(pkgs = doing, lib = lib, repos = repos, ...) :
  installation of package ‘geneplotter’ had non-zero exit status
5: In install.packages(pkgs = doing, lib = lib, repos = repos, ...) :
  installation of package ‘DESeq’ had non-zero exit status
rna-seq R gene • 2.9k views
ADD COMMENTlink modified 9 months ago by cdastmalchi0 • written 18 months ago by enginbozaba20
1

I'm having this same error when trying to install DESeq2 for R Version 3.6.1, even after adding sudo apt-get install libxml2 , sudo apt-get install libxml2-dev. I'm trying to install deseq2 via a Docker container, for which my Dockerfile looks like:

FROM r-base:3.6.1

WORKDIR /home

RUN apt-get update && \ 
    apt-get install -y \ 
        build-essential \ 
        gdb \ 
        git \ 
        jags \ 
        libcurl4-openssl-dev \ 
        libopenblas-base \ 
        libopenblas-dev \ 
        libssl-dev \     
        libssh2-1-dev \ 
        libxml2 \ 
        libxml2-dev \ 
        python-dev \ 
        python-pip \ 
        wget \
        sudo

RUN pip install awscli boto3

ENV PATH=$PATH:~/.local/bin/
ADD . /home/
ENV R_THREADS=30

And then once I run this container interactively and start an R session, I try to install deseq via:

if (!requireNamespace("BiocManager", quietly = TRUE))
    install.packages("BiocManager")

BiocManager::install("DESeq2")

But I still get the dependency errors the poster of this question got:

ERROR: dependencies ‘GenomicRanges’, ‘GenomeInfoDb’ are not available for package ‘SummarizedExperiment’
* removing ‘/usr/local/lib/R/site-library/SummarizedExperiment’
ERROR: dependency ‘tibble’ is not available for package ‘ggplot2’
* removing ‘/usr/local/lib/R/site-library/ggplot2’
ERROR: dependencies ‘XML’, ‘RCurl’ are not available for package ‘annotate’
* removing ‘/usr/local/lib/R/site-library/annotate’
ERROR: dependency ‘ggplot2’ is not available for package ‘viridis’
* removing ‘/usr/local/lib/R/site-library/viridis’
ERROR: dependency ‘annotate’ is not available for package ‘genefilter’
* removing ‘/usr/local/lib/R/site-library/genefilter’
ERROR: dependency ‘annotate’ is not available for package ‘geneplotter’
* removing ‘/usr/local/lib/R/site-library/geneplotter’
ERROR: dependencies ‘ggplot2’, ‘latticeExtra’, ‘viridis’ are not available for package ‘Hmisc’
* removing ‘/usr/local/lib/R/site-library/Hmisc’
ERROR: dependencies ‘GenomicRanges’, ‘SummarizedExperiment’, ‘genefilter’, ‘geneplotter’, ‘ggplot2’, ‘Hmisc’ are not available for package ‘DESeq2’
* removing ‘/usr/local/lib/R/site-library/DESeq2’
ADD REPLYlink modified 9 months ago • written 9 months ago by cdastmalchi0

You should ideally ask this as a new question and maybe point to this question in that new question. Given that you're using docker, I think the topic is different enough to warrant being a new thread.

ADD REPLYlink written 9 months ago by RamRS30k
5
gravatar for RamRS
18 months ago by
RamRS30k
Baylor College of Medicine, Houston, TX
RamRS30k wrote:

As the error message states, you're missing the package xml2-config. You can google how to install that (probably libxml2-dev) on your OS (if you're on Ubuntu/macOS, it should be easy with a package manager).

ADD COMMENTlink written 18 months ago by RamRS30k
1

As you said (sudo apt-get install libxml2 , sudo apt-get install libxml2-dev), the problem was solved. Thank you.:)

ADD REPLYlink modified 18 months ago by RamRS30k • written 18 months ago by enginbozaba20

https://image.ibb.co/dfsqrx/upvote_accept_bookmark.png

ADD REPLYlink written 18 months ago by ATpoint40k

libxml2-dev is among the packages I install in my Dockerfile. I'll maybe just post this as a new question like you suggested.

ADD REPLYlink written 9 months ago by cdastmalchi0
Please log in to add an answer.

Help
Access

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.
Powered by Biostar version 2.3.0
Traffic: 1466 users visited in the last hour